Subject: Re: bug#18707: [PATCH] dfa: print detail of DFA states in a debug mode

From: Norihiro Tanaka <[email-masked]>
Date: Mon, 20 Jul 2015 10:33:34 +0900

On Sun, 19 Jul 2015 14:59:41 -0700
Jim Meyering <[email-masked]> wrote:

> On Mon, Nov 24, 2014 at 4:26 PM, Norihiro Tanaka <[email-masked]> wrote:
> > On Mon, 13 Oct 2014 19:39:21 +0900
> > Norihiro Tanaka <[email-masked]> wrote:
> >> If compile grep with -DDEBUG option, it outputs tokens etc.  In addition
> >> to them, DFA states and transitions are output by this patch.  Debugging
> >> them, the patch will be very useful.
> >>
> >> BTW, the patch doesn't make any changes without -DDEBUG option.
> >
> > I fixed some warnings output in compilation, and rebased it.
> 
> Thank you for your patience.
> I applied this, changed many %zd to %zu (to ensure compilation
> succeeded with -DDEBUG also when configured with
> --enable-gcc-warnings) and adjusted the commit log entry. Will push
> once you've ACK'd the result.

Thanks for changes and adjustment.  I agree all of them.